using Encompass;

namespace KavTest.Components
{
    public struct PerspectiveCameraComponent : IComponent
    {
        public float FieldOfView { get; }
        public float AspectRatio { get; }
        public float NearPlane { get; }
        public float FarPlane { get; }

        public PerspectiveCameraComponent(float fieldOfView, float aspectRatio, float nearPlane, float farPlane)
        {
            FieldOfView = fieldOfView;
            AspectRatio = aspectRatio;
            NearPlane = nearPlane;
            FarPlane = farPlane;
        }
    }
}
