using Encompass;
using Microsoft.Xna.Framework;

namespace KavTest.Messages
{
    public struct LocalRotationMessage : IMessage, IHasEntity
    {
        public Entity Entity { get; }
        public Quaternion Rotation { get; }

        public LocalRotationMessage(Entity entity, Quaternion rotation)
        {
            Entity = entity;
            Rotation = rotation;
        }
    }
}
