using Encompass;
using Microsoft.Xna.Framework;

namespace KavTest.Messages
{
    public struct DirectionalLightSpawnMessage : IMessage
    {
        public Quaternion Orientation { get; }
        public Color Color { get; }
        public float Intensity { get; }

        public DirectionalLightSpawnMessage(Quaternion orientation, Color color, float intensity)
        {
            Orientation = orientation;
            Color = color;
            Intensity = intensity;
        }
    }
}
