using Encompass;

namespace KavTest
{
    public struct RotateCameraMessage : IMessage, IHasEntity
    {
        public Entity Entity { get; }
        public float Yaw { get; }
        public float Pitch { get; }

        public RotateCameraMessage(Entity entity, float yaw, float pitch)
        {
            Entity = entity;
            Yaw = yaw;
            Pitch = pitch;
        }
    }
}
